import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * The AnimatedActor class serves as a superclass for other, more specific
 * Actor classes. It provides a mechanism to give actors an animated image.
 * 
 * ...more here.. image names
 * 
 * @author mik
 * @version 1.0
 */
public class AnimatedActor extends Actor
{
   protected boolean a;
    protected boolean b;
    protected boolean dir;
    private GreenfootImage[] images;
    private int currentImage = 0;
    public boolean bandera = false;
    public int d = 0;
    
    public AnimatedActor(String basename, String suffix, int noOfImages)
    {
        images = new GreenfootImage[noOfImages];
        for(int i=0; i < noOfImages; i+=2) {
            images[i] = new GreenfootImage(basename + i + suffix);
        }
        setImage(images[currentImage]);
    }
    
    /**
     * Act - do whatever the AnimatedActor wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {       
        currentImage = (currentImage + 2) % images.length;      
        setImage(images[currentImage]);
        d+=2;
        if(d >= images.length-1)
            bandera = true;
        else
            bandera = false;
    }
    
    
}
