import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Font;
import java.awt.Color;

import static java.awt.Color.RED;
import static java.awt.Font.BOLD;


public abstract class Texto extends Actor
{

    private String prefix;
    private Color color;
    private int size;
    
    public Texto(String prefix)
    {
        this.prefix = prefix;
        size = 14;
        color = RED;
    }

    public void updateImage(String text)
    {
        GreenfootImage image = new GreenfootImage(200, 25);
        image.setColor(color);
        image.setFont(new Font("ComicSansMS", BOLD, size));
        image.drawString(prefix + ": " + text, 20, 20);
        setImage(image); 
    }
    
    public void setColor(Color color)
    {
        this.color = color;
    }
    
    public void setSize(int size)
    {
        this.size = size;
    }
}
