import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import greenfoot.GreenfootSound;
import java.util.*;

/**
 * Write a description of class Tirador here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Tirador  extends Actor
{
    private ForceArrow forceArrow;
    
    public void act() 
    {
        checkClick();
    }
    
    private void checkClick()
    {
        World mundo = getWorld();
        if(Greenfoot.mouseDragged(null)) {
            MouseInfo mouse = Greenfoot.getMouseInfo();
            int dx = mouse.getX()-getX();
            int dy = mouse.getY()-getY();
            if (forceArrow == null) {
                forceArrow = new ForceArrow(dx, dy);
                getWorld().addObject( forceArrow, getX(), getY() );
            }
            else {
                forceArrow.setImage(dx, dy);
            }
        }
        if(Greenfoot.mouseDragEnded(null) && forceArrow != null) {
            getWorld().removeObject(forceArrow);
            forceArrow = null;
            MouseInfo mouse = Greenfoot.getMouseInfo();
            Vector force = new Vector(new Location(mouse.getX(), mouse.getY()), new Location(getX(), getY()));
            force.scale(0.2);
            Flecha arrow = new Flecha(force);
            mundo.addObject(arrow, getX(), getY());
            Greenfoot.playSound("arrow.wav");
            List<Flechas> numFlechas = getWorld().getObjects(Flechas.class);
            
            if(numFlechas.get(0).getNum() <= 0)
            {
                List<Set> numSet = getWorld().getObjects(Set.class);
                
                List<Flecha> flechas = getWorld().getObjects(Flecha.class);
                for(Flecha f : flechas)
                {
                    getWorld().removeObject(f);
                }
                
                if(numSet.get(0).getSet()<3)
                {
                    numSet.get(0).addSet();
                    mundo.addObject(new SetChange(numSet.get(0).getSet()),400, 300);
                    numFlechas.get(0).restart();
                }
                else
                {
                    mundo.addObject(new SetChange(4), 400, 300);
                }
            }
            else
            {
                numFlechas.get(0).sub();
            }
            
        }
    } 
}
